apiVersion: apps/v1
kind: Deployment
metadata:
  name: autoflow
  namespace: autoflow
  labels:
    app: autoflow
spec:
  replicas: 1
  selector:
    matchLabels:
      app: autoflow
  template:
    metadata:
      labels:
        app: autoflow
    spec:
      containers:
        - image: 192.168.10.120:32100/autoflow:2025.07.005
          name: autoflow
          ports:
            - containerPort: 80
          resources:
            requests:
              cpu: 500m
              memory: 100Mi
            # limits:
            #   cpu: 1000m
            #   memory: 2Gi
---
apiVersion: v1
kind: Service
metadata:
  name: autoflow
  namespace: autoflow
spec:
  type: ClusterIP
  selector:
    app: autoflow
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
